package models

import (
	"gofiber.study.skcks.cn/common/time"
)

type Reply struct {
	Id          string    `xorm:"not null pk VARCHAR(32)" json:"id"`
	Active      bool      `xorm:"not null index BIT(1)" json:"active"`
	Content     string    `xorm:"not null index LONGTEXT(4294967295)" json:"content"`
	CreateTime  time.Time `xorm:"not null index DATETIME(6) created" json:"CreateTime"`
	ModifyTime  time.Time `xorm:"not null index DATETIME(6) updated" json:"modifyTime"`
	ModifyTimes int64     `xorm:"not null index BIGINT" json:"modifyTimes"`
	Top         int       `xorm:"not null index BIT(1)" json:"top"`
	UserId      string    `xorm:"not null index VARCHAR(32)" json:"userId"`
	TopicalId   string    `xorm:"not null index VARCHAR(32)" json:"topicalId"`
}

func (m *Reply) TableName() string {
	return "reply"
}
