package services

import (
	"gofiber.study.skcks.cn/services/auth"
	"gofiber.study.skcks.cn/services/topical"
	"gofiber.study.skcks.cn/services/user"
	"gofiber.study.skcks.cn/services/waf"
	"gofiber.study.skcks.cn/services/wol"
)

func Init() {
	auth.InitService()
	user.InitService()
	waf.InitService()
	wol.InitService()
	topical.InitService()
}
